// MailerDlg.h : header file
//

#if !defined(AFX_MAILERDLG_H__2063FBA5_E931_11D3_9F5B_080009EE62AA__INCLUDED_)
#define AFX_MAILERDLG_H__2063FBA5_E931_11D3_9F5B_080009EE62AA__INCLUDED_

#include "PNCommandSocket.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CMailerDlg dialog

class CMailerDlg : public CDialog
{
// Construction
public:
	CPNCommandSocket m_Command;
	CMailerDlg(CWnd* pParent = NULL);	// standard constructor

	CString	m_Email;
	CString	m_POP3Server;
	CString	m_Login;
	CString	m_Password;
	CString	m_SMTPServer;

// Dialog Data
	//{{AFX_DATA(CMailerDlg)
	enum { IDD = IDD_MAILER_DIALOG };
	CListCtrl	m_List;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMailerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMailerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSetup();
	afx_msg void OnGetemail();
	afx_msg void OnSend();
	afx_msg void OnDblclkList(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAILERDLG_H__2063FBA5_E931_11D3_9F5B_080009EE62AA__INCLUDED_)
